Get User
curl --request GET \
--url https://api.zerocash.tech/api/b2b/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zerocash.tech/api/b2b/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zerocash.tech/api/b2b/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zerocash.tech/api/b2b/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerocash.tech/api/b2b/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"firstName": "David",
"lastName": "N",
"email": "support@zerocash.tech",
"publicKey": "HC-12",
"webhookUrl": "https://api.zerocash.tech/v3/b2b/prod",
"sandboxWebhookUrl": "https://api.zerocash.tech/v3/b2b/sand",
"KESWallet": {
"balance": 0
}
}{
"success": false,
"message": "User does not exist",
"errorCode": "E-B2B-S-118"
}Authentication
Get User
The endpoint fetches user profile information, including their contact details and configured webhook URLs for both production and sandbox environments. It also includes information about any active wallets associated with the user’s accoun
GET
/
api
/
b2b
/
users
Get User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200
Example:
true
Example:
"David"
Example:
"N"
Example:
"support@zerocash.tech"
Example:
"HC-12"
Example:
"https://api.zerocash.tech/v3/b2b/prod"
Example:
"https://api.zerocash.tech/v3/b2b/sand"
Show child attributes
Show child attributes